<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Badge',
  props: {
    badge: {
      type: Object,
      required: true,
      default: null,
    },
    badgeClass: {
      type: String,
      required: false,
      default: '',
    },
  },
});
</script>

<template>
  <a
    :href="badge.link || badge.url"
    :data-ga-name="badge.data_ga_name"
    :data-ga-location="badge.data_ga_location"
    class="badge"
    :class="`badge--${badgeClass}`"
  >
    {{ badge.text }}
    <SlpIcon v-if="badge.icon" :icon="badge.icon" class="slp-ml-8" />
  </a>
</template>

<style lang="scss" scoped>
.badge {
  padding: $spacing-4 $spacing-16;
  border-radius: 20px;
  background-color: $color-surface-900;
  margin-bottom: $spacing-16;
  display: inline-block;
  color: $color-text-300;

  &:hover {
    background-color: $color-surface-800;
  }
  &--dark {
    display: inline-flex;
    align-items: center;
    background-color: $color-primary-200;
    transition: all 0.3s ease;
    color: $color-surface-50;
    &:hover {
      background-color: $color-surface-200;
      color: $color-primary-200;
    }
    :deep .slp-icon {
      margin-top: -3px;
    }
  }
}
</style>
